summaryrefslogtreecommitdiff
path: root/git-send-email.perl
diff options
context:
space:
mode:
authorÆvar Arnfjörð Bjarmason <avarab@gmail.com>2018-03-03 15:38:09 (GMT)
committerJunio C Hamano <gitster@pobox.com>2018-03-05 18:52:27 (GMT)
commit29118b37eb8510dc42dd94e127f7c92d05963d1d (patch)
tree1393c6f1ad4603cd23a47d5261f8a3708b5ad106 /git-send-email.perl
parent7d5b30e09fc705b84bba57ac655263ab6d8f71a6 (diff)
downloadgit-29118b37eb8510dc42dd94e127f7c92d05963d1d.zip
git-29118b37eb8510dc42dd94e127f7c92d05963d1d.tar.gz
git-29118b37eb8510dc42dd94e127f7c92d05963d1d.tar.bz2
Git.pm: hard-depend on the File::{Temp,Spec} modules
Since my d48b284183 ("perl: bump the required Perl version to 5.8 from 5.6.[21]", 2010-09-24), we've depended on 5.8, so there's no reason to conditionally require File::Temp and File::Spec anymore. They were first released with perl versions v5.6.1 and 5.00405, respectively. This code was originally added in c14c8ceb13 ("Git.pm: Make File::Spec and File::Temp requirement lazy", 2008-08-15), presumably to make Git.pm work on 5.6.0. Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-send-email.perl')
0 files changed, 0 insertions, 0 deletions